Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.s3.model
Class Grant

    java.lang.Object
      com.amazonaws.services.s3.model.Grant

    public class Grant

extends Object

A grant consists of one grantee and one permission.

Constructor Summary
`Grant(Grantee grantee, Permission permission)` Constructs a new Grant object using the specified grantee and permission objects.

Method Summary
`boolean` | `equals(Object obj)`
`Grantee` | `getGrantee()` Returns the grantee being granted a permission by this grant.
`Permission` | `getPermission()` Returns the permission being granted to the grantee by this grant.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Grant

    public Grant(Grantee grantee,
                 Permission permission)

  Constructs a new Grant object using the specified grantee and permission objects.

  Parameters:
    `grantee` - The grantee being granted a permission by this grant.
    `permission` - The permission being granted to the grantee by this grant.

Method Detail

### getGrantee

    public Grantee getGrantee()

  Returns the grantee being granted a permission by this grant.

  Returns:
    The grantee being granted a permission by this grant.

### getPermission

    public Permission getPermission()

  Returns the permission being granted to the grantee by this grant.

  Returns:
    The permission being granted to the grantee by this grant.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.